using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PTMedicalInsurance.Helper;
using PTMedicalInsurance.Variables;
using PTMedicalInsurance.Forms;
using System.Windows.Forms;

namespace PTMedicalInsurance.Business.Core.SelfServiceMachine.Process.OutPat
{
    class InProcessHandler : AbstractProcess
    {
        public override CallResult Process(JObject input)
        {
            #region【门诊预结算2206前调用3102医保明细审核事中服务】     

            if (Global.curEvt.ext.isOpenAnalysis)
            {
                if (hBus.PreAnalysis(Global.curEvt.ext.inProcessTrigScen, "", out errMsg) != 0)
                {
                    outParam = JsonHelper.setExceptionJson(-1, "事前分析", errMsg).ToString();
                    return Error(outParam);
                }
            }
            else
            {
                outParam = input.ToString();
            }

            return Success();
            #endregion
        }
    }
}
